cloudflare-ddns
===============

Dynamic DNS using Cloudflare.

Requirements
------------

VoidLinux, as the tool is not packaged for other distros, and installing using cargo isn't supported yet.

Role Variables
--------------

- **cloudflare_ddns_api_token**: API token with access to the zone
- **cloudflare_ddns_domain**: Domain for which to update the record
- **cloudflare_ddns_zone**: Zone which contains the domain

Example Playbook
----------------

```yaml
- hosts: servers
  collections:
  - jcgruenhage.base
  roles:
  - role: cloudflare-ddns
    cloudflare_ddns_api_token: your-token-here
    cloudflare_ddns_zone: example.org
    cloudflare_ddns_domain: host.example.org
```

License
-------

AGPL-3.0-only

Author Information
------------------

Jan Christian Grünhage <jan.christian@gruenhage.xyz>
